This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447499 - Firefox is slower on Fedora vs Ubuntu
Firefox is slower on Fedora vs Ubuntu
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 02:25 EDT by Rand All
Modified: 2008-09-12 18:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 18:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.nv.conf (1.01 KB, text/plain)
2008-06-02 03:56 EDT, David Rees
no flags Details
Xorg.nv.log (39.85 KB, text/plain)
2008-06-02 03:56 EDT, David Rees
no flags Details
Xorg.no-xorg.conf.log (43.06 KB, text/plain)
2008-06-02 03:57 EDT, David Rees
no flags Details
xorg.nvidia.conf (1.19 KB, text/plain)
2008-06-02 03:58 EDT, David Rees
no flags Details
Xorg.nvidia.log (13.49 KB, text/plain)
2008-06-02 03:59 EDT, David Rees
no flags Details

  None (edit)
Description Rand All 2008-05-20 02:25:23 EDT
Description of problem:
Firefox 3 is much slower of Fedora 9 than under Ubuntu 8.04.  Specifically,
visit http://www.dropkickmurphys.com/discography/releases/meanest.html and
scroll up and down.  Firefox takes up all the CPU time under Fedora.  Under
Ubuntu, on the same web page, it is much faster and takes up much less system
resources.  I have read that this problem has to do with pages that contain
large blocks of justified text, which my sample page does.

Version-Release number of selected component (if applicable):
Fedora 9, Firefox 3b5

How reproducible:
visit dropkickmurphys.com and navigate around, and scroll various pages.


Additional info:
This was also true in Fedora 8.
Comment 1 Martin Stransky 2008-05-20 03:44:20 EDT
Do you use any proprietary video drivers in your Ubuntu installation?
Comment 2 Rand All 2008-05-20 15:00:42 EDT
The behavior is the same with proprietary or open vid drivers.
Comment 3 Matěj Cepl 2008-05-20 16:31:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Matěj Cepl 2008-05-20 16:33:49 EDT
I cannot reproduce this at all -- page took a little moment before it was
downloaded (there is a lot of large images there) but then it was just scrolling
up and down, and CPU need was minimal. I guess this will be hardware related
issue, so I will need you to provide the information listed above.
Comment 5 Martin Stransky 2008-05-21 02:47:01 EDT
I can reproduce it on the test page with both firefox and seamonkey but the CPU
is used by X, not by firefox...
Comment 6 David Rees 2008-06-01 20:42:35 EDT
I just upgraded from Fedora 8 to Fedora 9, and scrolling in Firefox 3 in F9 can
be a lot slower than Firefox 2 in F8.

It's not noticable on all pages. I mostly notice it when using Gmail and there
is a lot of text on the page. It is slow enough that it makes Gmail painful to use.

For example, if I bring up the "All Mail" view and try to scroll vertically (I
have Gmail configured to show 50 threads at a time) it is very sluggish. CPU
time is split 50-50 between firefox and Xorg.

Other pages scroll very quickly, so I think it may be triggered by having a lot
of text on the page.

I tested FF 3rc1 from upstream and it does not have this issue. Gmail scrolling
is very fast. The URL mentioned above also scrolls smoother using upstream FF
compared to FF from Fedora, though it's nowhere near as sluggish as my Gmail test.

IIRC, I also had this problem in F8 and setting the environment variable
MOZ_DISABLE_PANGO=1 fixed this. Setting this does not seem to affect Firefox in F9.

I have a Sempron64 3000 processor (but running 32bit Fedora) with onboard Nvidia
GPU and am using the Nvidia binary video drivers, but the issue is the same when
using the nv driver as well.
Comment 7 David Rees 2008-06-02 03:56:06 EDT
Created attachment 307337 [details]
xorg.nv.conf

xorg.conf using nv driver
Comment 8 David Rees 2008-06-02 03:56:58 EDT
Created attachment 307338 [details]
Xorg.nv.log

Log when using xorg.nv.conf file.
Comment 9 David Rees 2008-06-02 03:57:40 EDT
Created attachment 307339 [details]
Xorg.no-xorg.conf.log

Log when starting X with no /etc/X11/xorg.conf file.
Comment 10 David Rees 2008-06-02 03:58:26 EDT
Created attachment 307340 [details]
xorg.nvidia.conf

xorg.conf using nvidia binary driver.
Comment 11 David Rees 2008-06-02 03:59:12 EDT
Created attachment 307341 [details]
Xorg.nvidia.log

Log when using xorg.nvidia.conf file.
Comment 13 David Rees 2008-06-18 04:46:06 EDT
Is it just me, or does the latest Firefox (firefox-3.0-1.fc9.i386) seem much
better than the last build? I have not been able to duplicate the slow scrolling
yet.

While the page in the first post isn't the fastest scrolling page, instead of
the CPU being split 50-50 between firefox and Xorg, now I'm seeing 60-70% CPU in
Xorg and 15-20% CPU in firefox.
Comment 14 Matěj Cepl 2008-06-18 16:21:08 EDT
Reporter, are you able to reproduce the issue with the latest upgrades to your
Fedora, please?
Comment 15 Matěj Cepl 2008-07-17 18:06:25 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 16 Matěj Cepl 2008-09-12 18:00:20 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.